apiVersion: logging.openshift.io/v1
kind: ClusterLogForwarder
metadata:
  name: instance
  namespace: openshift-logging
spec:
  outputs:
   - name: loki-app
     type: loki
     url: http://lokistack-instance-gateway-http.openshift-logging.svc:8080/api/logs/v1/application/
   - name: loki-infra
     type: loki
     url: http://lokistack-instance-gateway-http.openshift-logging.svc:8080/api/logs/v1/infrastructure/
   - name: loki-audit
     type: loki
     url: http://lokistack-instance-gateway-http.openshift-logging.svc:8080/api/logs/v1/audit/
  pipelines:
   - name: send-app-logs
     inputRefs:
     - application
     outputRefs:
     - loki-app
   - name: send-infra-logs
     inputRefs:
     - infrastructure
     outputRefs:
     - loki-infra
   - name: send-audit-logs
     inputRefs:
     - audit
     outputRefs:
     - loki-audit
